Tag
FM Index Fibres
Tag to select a specific fibre of a FMIndex.
Include Headers
seqan/index_fm.h
Remarks
These tags can be used to get Fibres of a FM index.
Functions

getFibre | Returns a specific fibre of a container.
indexCreate | Creates a specific Fibre.
indexRequire | On-demand creation of a specific Fibre.
indexSupplied | Returns whether a specific Fibre is present.

Tags

FibrePrefixSumTable | The prefix sum table of the index.
FibreSA | The compressed suffix array of the text.
FibreText | The original text of the index.
FibreLfTable | The lf table.
FibreSaLfTable | The lf table as well as the compressed suffix array. Remarks: This tag can only be used with the functions indexRequire or indexSupplied.

See Also
getFibre, Fibre
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00